---
title: Shopify experience values
description: At Shopify, we empower commerce at a global scale. We build products, tools, and services for people to start, manage, and scale their businesses. We manage enormous complexity for commerce giants, and give new entrepreneurs the best chance to succeed.
icon: HeartMajor
keywords:
  - mission
  - approaches
  - design principles
  - design values
  - ux principles
  - ux values
  - user experience principles
  - user experience values
  - shopify mission
  - shopify approaches
  - shopify design principles
  - shopify ux principles
  - shopify principles
  - merchant first
  - merchant-first
  - empower
  - considerate
  - empowering
  - crafted
  - efficient
  - trustworthy
  - familiar
  - don’t overwhelm
  - cohesive experiences
  - polished
---

These values are at the heart of how we build experiences at Shopify. They’re important whether you work at Shopify or you’re developing third-party apps or themes.

---

## Our approach

The best part of this shared set of values is the conversations they enable. They are fantastic lenses through which to view, critique, and improve our work.

We always aspire for Shopify experiences to feel:

### Considerate

Above all else, we show care for the people who use our tools and products. We’re here to make their day-to-day and long-term work better — no matter who they are, where they are, or what platform they’re using.

- Build experiences that work on every screen, on every platform, in every language, and in every country.
- Take time to understand where we can build for a general audience, and where we should offer different paths for different needs.
- Respect the reality of this work – don’t assume the perfect situation, preparation, or usage.

### Empowering

We want people to feel like they can accomplish whatever they’re trying to do. Our experiences should give people confidence that they’re capable of achieving their goals, no matter their level of experience.

- Help users complete their tasks, without taking away decisions or independence.
- Optimize for the most important tasks without blocking people from doing the rest.
- Hide complexity where you can, but give people access to more sophistication if they need it.

### Crafted

Shopify experiences should feel like they were created with the highest level of craftsmanship. Through thoughtful details and small touches, we combine the power of professional tools with the simplicity of consumer products.

- Work to understand the complex problems users face, then find clear and approachable solutions to those problems.
- Delight people with how powerful and effective an experience is, not with extra decoration or flair.
- Look for meaningful ways to make experiences more natural, friendly, and thoughtful.

### Efficient

Shopify experiences should help people achieve their goals quickly, accurately, and with less effort. We value speed and simplicity, but we value productivity even more.

- Break complex tasks down into simple steps, and remove repetitive tasks whenever you can.
- Use friction to highlight important decisions, then let users get back to work.
- Give users the ability to reduce and optimize their workloads through automation and bulk actions.

### Trustworthy

We constantly work to recharge our users’ trust batteries. We sweat the details. We’re genuine and transparent to show users that we’re always acting in their best interest.

- Fix the small mistakes and inconsistencies that erode trust.
- Be transparent about what a feature or tool can do and what it can’t.
- Make safe and positive actions frictionless. If they’re risky, give clear instructions and greater control. Make it easy to recover from mistakes.

### Familiar

We want people to feel comfortable using our products, whether it’s their first time using them or their hundredth. Our experiences should embody the same principles, act the same way, and fit together seamlessly.

- Think bigger than any individual task or product. Understand the context users are working in.
- Use familiar patterns to make experiences intuitive and recognizable.
- Evolve experiences seamlessly. They should keep getting better with time and information.
